Loading...
Searching...
No Matches
oval_result_system Struct Reference
OVAL » OVALRES
Collaboration diagram for oval_result_system:
[legend]

## Public Member Functions

OSCAP_API struct oval_result_system * | oval_result_system_new (struct oval_results_model *, struct oval_syschar_model *)
OSCAP_API struct oval_result_system * | oval_result_system_clone (struct oval_results_model *new_model, struct oval_result_system *old_system)
OSCAP_API void | oval_result_system_free (struct oval_result_system *)
Setters
OSCAP_API void | oval_result_system_add_definition (struct oval_result_system *, struct oval_result_definition *)
OSCAP_API void | oval_result_system_add_test (struct oval_result_system *, struct oval_result_test *)
Getters
OSCAP_API struct oval_results_model * | oval_result_system_get_results_model (struct oval_result_system *)
OSCAP_API struct oval_result_definition * | oval_result_system_get_definition (struct oval_result_system *, const char *)
OSCAP_API struct oval_result_definition_iterator * | oval_result_system_get_definitions (struct oval_result_system *)
OSCAP_API struct oval_result_test_iterator * | oval_result_system_get_tests (struct oval_result_system *)
OSCAP_API struct oval_syschar_model * | oval_result_system_get_syschar_model (struct oval_result_system *)
OSCAP_API struct oval_sysinfo * | oval_result_system_get_sysinfo (struct oval_result_system *)
Evaluators
OSCAP_API int | oval_result_system_eval (struct oval_result_system *sys)
| Function evaluates all OVAL definitions of specified result_system.
OSCAP_API int | oval_result_system_eval_definition (struct oval_result_system *sys, const char *id)
| Function evaluates specified OVAL definition in result_system.

## Data Fields

struct oval_results_model * | model
struct oval_smc * | definitions
| Map contains lists of oval_result_definition.
struct oval_smc * | tests
| Map contains lists of oval_result_test.
struct oval_syschar_model * | syschar_model

The documentation for this struct was generated from the following files:

- oval_resultSystem.c
- oval_results.h